Subject: [bug#49946] [PATCH v5 01/27] gnu: tree-sitter: Move to its own module.

From: Pierre Langlois <[email-masked]>
Date: Sun, 15 May 2022 14:16:35 +0100

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Pierre Langlois schreef op di 29-03-2022 om 20:42 [+0100]:
>> -@item Dependency-free so that the runtime library (which is written in pure C)
>
> It probably depends on glibc library, so strictly speaking this is
> probably not technically correct ... but maybe good enough?

Oh actually, looking at a generated parser.c file, that statement appears to be
true, I was also surprised.  The generated C code looks like a huge
table of rules, so it's more data than code really. For example:
https://raw.githubusercontent.com/tree-sitter/tree-sitter-c/master/src/parser.c

I suppose it was easier to generate C code and compile it, rather than
define a custom binary format.

Thanks,
Pierre